{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/objects/user",
  "title": "User object",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/objects/user/",
  "summary": "An API object that represents a Redis Software user",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-01-30T12:29:26-06:00",
  "page_type": "content",
  "content_hash": "2115baf2aa3ac3321de7aeca1c97d7010530e1e43ca3e9bc0467783d7adf8c01",
  "sections": [
    {
      "id": "content",
      "title": "Content",
      "role": "content",
      "text": "| Name | Type/Value | Description |\n|------|------------|-------------|\n| uid | integer | User's unique ID |\n| account_id | integer | SM account ID |\n| action_uid | string | Action UID. If it exists, progress can be tracked by the <span class=\"break-all\">`GET /actions/{uid}`</span> API request (read-only) |\n| auth_method | **'regular'**<br />'certificate'<br />'entraid'<br />'sso' | User's authentication method |\n| bdbs_email_alerts | complex object | UIDs of databases that user will receive alerts for |\n| <span class=\"break-all\">certificate_subject_line</span> | string | The certificate’s subject line as defined by RFC2253. Used for certificate-based authentication users only. |\n| cluster_email_alerts | boolean | Activate cluster email alerts for a user |\n| email | string | User's email (pattern matching only ASCII characters) |\n| email_alerts | boolean (default: true) | Activate email alerts for a user |\n| last_login | integer | UNIX timestamp of the user's last login time. This denotes the last time an authentication with the user's credentials was successful. (read-only) |\n| name | string | User's name (pattern does not allow non-ASCII and special characters &,\\<,>,\") |\n| password | string | User's password. If `password_hash_method` is set to `1`, the password should be hashed using SHA-256. The format before hashing is <span class=\"break-all\">`username:clustername:password`</span>. | \n| <span class=\"break-all\">password_hash_method</span> | '1' | Used when password is passed pre-hashed to specify the hashing method |\n| <span class=\"break-all\">password_issue_date</span> | string | The date in which the password was set (read-only) |\n| role | 'admin'<br />'cluster_member'<br />'cluster_viewer'<br />'db_member'<br /> **'db_viewer'** <br />'user_manager'<br />'none' | User's [role](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#roles) |\n| role_uids | array of integers | UIDs of user's roles for role-based access control |\n| status | 'active'<br />'locked'<br />'password_expired' | User sign-in status (read-only)<br />**active**: able to sign in<br />**locked**: unable to sign in<br />**password_expired**: unable to sign in because the password expired |"
    }
  ],
  "examples": []
}
